Answered

Incompatible with Android Tablet

Personal Finances Pro message on Google play store says that it is not compatible with my Android Tablet although I have installed it in the past. Everything is OK with my Ipad (ios) and samsung phone

Tablet Android version 5.1

Leave a Comment

Comments (6)

photo
1

Hello.

You need Android version 4.4 or newer. Some devices may be incompatible for some reasons.

photo
1

Yo tengo una tablet Samsung Tab4 con Android 4.4.2 y me sale q es incompatible. Eso desde hace como 3 meses antes funcionaba normalmente en esta tablet ¿ que paso?

photo
1

New version has some new features, like sms import, which aren't supported in some old devices.

photo
photo
1

I have the same issue with the new Samung Galaxy Tab S4. This is the best Android Tablet available at the moment, but Alzex is not available on it. It would be great if up to date tablets would be supported.

photo
1

Hello.

Try to install beta-version: https://play.google.com/apps/testing/com.alzex.finance

photo
1

Thank you for including me in the beta. It is working now. I was able to install it on the Tab S4.

Thanks!